<?php

declare(strict_types=1);

namespace Joomla\Plugin\Content\IndexNow\Storage;

interface StorageInterface
{
    public const NAMESPACE = 'plg.indexnow';

    public function get(string $key, mixed $default = null): mixed;

    public function set(string $key, mixed $value): void;

    public function delete(string $key): void;
}
