<?php

declare(strict_types=1);

namespace Joomla\Plugin\Content\IndexNow\Exception;

use Exception;

final class ClientResponseException extends Exception
{
    private array $details = [];

    public function getDetails(): array
    {
        return $this->details;
    }

    public function setDetails(array $details): void
    {
        $this->details = $details;
    }
}
