<?php

declare(strict_types=1);

namespace Joomla\Plugin\Content\IndexNow\Field;

use Joomla\CMS\Form\Field\NoteField;

// phpcs:disable PSR1.Files.SideEffects
\defined('_JEXEC') or die;
// phpcs:enable PSR1.Files.SideEffects

class WarninfoField extends NoteField
{
    protected $type = 'Warninfo';

    protected function getLabel(): string
    {
         if ($this->isClassDiscoveryAvailable()) {
            return '';
        }

        return parent::getLabel();
    }


    /**
     * @return bool
     *
     * @since version
     */
    private function isClassDiscoveryAvailable(): bool
    {
        return class_exists('\\Http\\Discovery\\ClassDiscovery');
    }
}
