<?php

declare(strict_types=1);

namespace Provider;

namespace Joomla\Plugin\Content\IndexNow\Provider;

use Joomla\Plugin\Content\IndexNow\Config;

abstract class AbstractProvider
{
    protected const BASE_URL = '';

    protected string $url;

    public function __construct(
        protected readonly Config $config
    ) {
        $this->url = '';
    }

    public function setUrl(string $url): void
    {
        $this->url = $url;
    }

    abstract protected function getParams(): array;
}
